package domain

import (
	"net/url"
)

type (
	Config struct {
		BaseURL *url.URL `env:"BASE_URL" envDefault:"http://localhost:3000/"`
		Bind    string   `env:"BIND" envDefault:":3000"`
		ConfigProcessors
	}

	ConfigProcessors struct {
		PayPal         string `env:"PAYPAL"`
		Liberapay      string `env:"LIBERAPAY"`
		YooMoney       string `env:"YOOMONEY"`
		Kofi           string `env:"KOFI"`
		DonationAlerts string `env:"DONATION_ALERTS"`
	}
)
