package common

const (
	HeaderAcceptLanguage  string = "Accept-Language"
	HeaderContentLanguage string = "Content-Language"
	HeaderContentType     string = "Content-Type"
)

const (
	MIMETextHTML                           string = "text/html"
	MIMETextHTMLCharsetUTF8                string = MIMETextHTML + "; " + charsetUTF8
	MIMEApplicationManifestJSON            string = "application/manifest+json"
	MIMEApplicationManifestJSONCharsetUTF8 string = MIMEApplicationManifestJSON + "; " + charsetUTF8
)

const charsetUTF8 string = "charset=UTF-8"
